Skip to main content
GET
/
api
/
v1
/
services
/
incidents
List vendor incidents across all services (paginated)
curl --request GET \
  --url https://api.devhelm.io/api/v1/services/incidents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceSlug": "<string>",
      "serviceName": "<string>",
      "externalId": "<string>",
      "title": "<string>",
      "status": "<string>",
      "impact": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "shortlink": "<string>",
      "detectedAt": "2023-11-07T05:31:56Z",
      "vendorCreatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNext": true,
  "hasPrev": true
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

from
string<date>

Earliest start date (ISO 8601 date)

status
enum<string>

Filter: active (unresolved), resolved, or omit for all

Available options:
active,
resolved
category
string

Filter by service category

pageable
object
required

Response

200 - */*

OK

data
object[]
hasNext
boolean
hasPrev
boolean